using System.Linq;
using BeWo.Report.ReportObjects;

namespace BeWo.Report.DefaultReports
{
	public partial class MedikamentenverordnungslistenReport : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<MedVerListRO>
	{
		public MedikamentenverordnungslistenReport()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(MedVerListRO pRO)
		{
			bindingSource1.DataSource = pRO;
			xrTable5.Visible = pRO.MitZusatzfeldern;

			GroupHeader7.Visible = pRO.MedVerDetailList2.Any();
			GroupHeader8.Visible = pRO.MedVerDetailList3.Any();
			GroupHeader9.Visible = pRO.MedVerDetailList4.Any();
			GroupHeader2.Visible = pRO.MedVerDetailList5.Any();
			GroupHeader10.Visible = pRO.MedVerDetailList6.Any();
		}
	}
}
